package ro.tuc.dsrl.catalyst.model.enums;

public enum MeasurementType {
    BATTERY_FACTOR ("f_ESD"),
    BATTERY_ESD_R( "ESD_R"),
    BATTERY_ESD_D( "ESD_D"),
    BATTERY_MAX_DIS_ESD( "MAX_DIS_ESD"),
    BATTERY_MAX_CHR_ESD( "MAX_CHR_ESD"),
    BATTERY_DOD("DoD"),
    BATTERY_ESD_MAX("MAX_ESD"),
    BATTERY_CURRENT("CURRENT CAPACITY_ESD"),
    PRE_OPT_BATTERY_CURRENT("PRE_OPT_CURRENT CAPACITY_ESD"),
    ED_PERCENTAGE("E_D_Percentage"),
    TES_FACTOR ("f_TES"),
    TES_R( "TES_R"),
    TES_D( "TES_D"),
    TES_MAX_DIS_TES( "MAX_DIS_TES"),
    TES_MAX_CHR_TES( "MAX_CHR_TES"),
    TES_MAX("MAX_TES"),
    TES_CURRENT("CURRENT CAPACITY_TES"),
    PRE_OPT_TES_CURRENT("PRE_OPT_CURRENT CAPACITY_TES"),
    SERVER_ROOM_CURRENT_CONSUMPTION("ELECTRICAL_POWER_CONSUMPTION_SERVER_ROOM"),
    SERVER_ROOM_CURRENT_DT_CONSUMPTION("ELECTRICAL_POWER_CONSUMPTION_IT_DELAYTOLERABLE_WORKLOAD"),
    SERVER_ROOM_CURRENT_RT_CONSUMPTION("ELECTRICAL_POWER_CONSUMPTION_IT_REALTIME_WORKLOAD"),
    PRE_OPT_SERVER_ROOM_CURRENT_CONSUMPTION("PRE_OPT_ELECTRICAL_POWER_CONSUMPTION_SERVER_ROOM"),
    PRE_OPT_SERVER_ROOM_CURRENT_DT_CONSUMPTION("PRE_OPT_ELECTRICAL_POWER_CONSUMPTION_IT_DELAYTOLERABLE_WORKLOAD"),
    PRE_OPT_SERVER_ROOM_CURRENT_RT_CONSUMPTION("PRE_OPT_ELECTRICAL_POWER_CONSUMPTION_IT_REALTIME_WORKLOAD"),
    SERVER_ROOM_MAX_CONSUMPTION("MAXIMUM_POWER_CONSUMPTION_SERVER_ROOM"),
    COOLING_SYSTEM_CURRENT_CONSUMPTION("ELECTRICAL_POWER_CONSUMPTION_COOLING_SYSTEM"),
    PRE_OPT_COOLING_SYSTEM_CURRENT_CONSUMPTION("PRE_OPT_ELECTRICAL_POWER_CONSUMPTION_COOLING_SYSTEM"),
    ELECTRICAL_POWER_PRODUCTION_RENEWABLE("ELECTRICAL_POWER_PRODUCTION_RENEWABLE"),
    COOLING_SYSTEM_COP_H("COP_H_COOLING"),
    COOLING_SYSTEM_COP_C("COP_C"),
    COOLING_SYSTEM_MAX_CONSUMPTION("MAXIMUM_POWER_CONSUMPTION_COOLING_SYSTEM"),
    COOLING_SYSTEM_CAPACITY("MAXIMUM_CAPACITY_COOLING_SYSTEM"),
    SELF_THERMAL_HEAT("THERMAL_ENERGY_PRODUCTION"),
    DR_SIGNAL("DR_SIGNAL"),
    DC_E_PRICE("E_Price"),
    DC_L_PRICE("L_Price"),
    DC_T_PRICE("T_Price"),
    DC_DR_PRICE("D_Price"),
    DC_MAX_HOST("MAX_HOST"),
    DC_MAX_REALLOC("MAX_REALLOCATE"),
    DATA_CENTER_BASELINE("DATA_CENTER_BASELINE"),
    DATA_CENTER_CO2_BASELINE("DATA_CENTER_CO2_BASELINE"),
    DATA_CENTER_HEAT_BASELINE("DATA_CENTER_HEAT_BASELINE"),
    OPTIMIZED_CO2("OPTIMIZED_CO2"),
    OPTIMIZED_SERVER("OPTIMIZED_SERVER"),
    OPTIMIZED_DC("OPTIMIZED_DC"),
    OPTIMIZED_COOLING("OPTIMIZED_COOLING"),
    OPTIMIZED_THERMAL("OPTIMIZED_THERMAL"),
    HEAT_RECOVER_SYSTEM_COP_H("COP_H_HEAT"),
    HEAT_RECOVER_SYSTEM_MAX_CONSUMPTION("MAXIMUM_POWER_CONSUMPTION_HEAT_RECOVER_SYSTEM"),
    HEAT_RECOVER_SYSTEM_CAPACITY("MAXIMUM_CAPACITY_HEAT_RECOVER_SYSTEM"),
    HEAT_RECOVER_SYSTEM_CURRENT_CONSUMPTION("ELECTRICAL_POWER_CONSUMPTION_HEAT_RECOVER_SYSTEM"),
    PRE_OPT_HEAT_RECOVER_SYSTEM_CURRENT_CONSUMPTION("PRE_OPT_ELECTRICAL_POWER_CONSUMPTION_HEAT_RECOVER_SYSTEM"),
    //METRICS
    DCAdapt("DCAdapt"),
    PUE("PUE"),
    ERE("ERE"),
    ReusePercent("ReusePercent"),
    HeatAdaptability("HeatAdaptability"),
    CO2emissions("CO2emissions"),
    DCProfit("DCProfit");

    private  String type;


    public String type() {
        return type;
    }

    MeasurementType(String type) {
        this.type = type;
    }
}
